
.block_accesibilidad{
    border: none;
    background-color: transparent;
}
.button_accebility{
    padding: 0;
    border-radius: 50%;
    width: 50px;
    background: #0079B5;
    border: none;
    position: fixed;
    right: 2vw;
    bottom: 4vh;
    z-index: 9999;
}
.button_accebility{
    object-fit: cover;
    width: 50px;
    padding: 5px;

}


/*Contraste*/
.add-contrast{
mix-blend-mode: difference;
background-color: #ffff;
}

/*Grises*/
.add-gray{
mix-blend-mode: luminosity;
background-color: #ffff;
}




/* Botón circular de accesibilidad */
.accessibility-btn {
background-color: #0f6cbf;
color: white;
font-size: 1.5rem;
border: none;
cursor: pointer;
position: fixed;
right: 0px;
top: 50%;
border-radius: 0.5rem 0rem 0rem 0.5rem;
width: 60px;
height: 60px;
display: flex;
justify-content: center;
align-items: center;
z-index: 1000;
box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
margin: 0;
}
.accessibility-btn img{
    width: 30px;
    height: 30px;
    margin: 0;
    max-width: 35px;
    max-height: 35px;

}

/* Menú de accesibilidad */
.accessibility-menu {
    position: fixed;
    top: 0px;
    right: 0px;
    height: 100vh;
    width: 220px;
    background-color: white;
    border-radius: 0 0.5rem 0 0;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: flex-start;
    padding: 0;
    gap: 0px;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    transform: scale(0.3);
    transition: opacity 0.3s ease, transform 0.3s ease;
    z-index: 9999;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    overflow: hidden;
}

.visible{
    pointer-events: auto;
    visibility: visible;
    opacity: 1;
    transform: scale(1);
}

/* Encabezado del menú */
.accessibility-menu-header {
    background-color: #0079B5;
    color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 15px;
    font-size: 13px;
}



/* Botones del menú */
.accessibility-buttons {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px; 
    padding: 15px;
    border-radius: 1rem 1rem 0 0;
}

/* Botones en grid vertical */
.accessibility-menu .control-btn {
position: relative;
background-color: white;
color: #333;
border: none;
flex: 0 1 calc(50% - 10px);
height: 45px;
gap: 10px;
padding: 15px;
border-radius: 8px;
display: flex;
justify-content: center;
align-items: center;
text-align: center;
font-size: 0.8rem;
box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
cursor: pointer;
max-width: 100%;
white-space: nowrap;
overflow: hidden;
transition: transform 0.2s ease, background-color 0.3s ease;
padding: 2.5rem;
word-wrap: break-word;
}
.accessibility-menu .control-btn:hover {
    background-color: #cfebfa; 
    border: 2px solid #0079B5; 
}

.accessibility-menu .control-btn span{
line-height: 1;
font-size: 11px;
text-overflow: ellipsis;
overflow: hidden;
white-space: normal;
max-width: 100%;
display: block;
text-align: center;
}
.accessibility-menu .control-btn img{
    width: 32px;
    height: 32px;
    margin: 5px;
}

.accessibility-option{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.accessibility-level{
    margin-top: 2px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: #0079B5;
}

.accessibility-menu h1 {
    font-size: 13px; 
    margin: 0;
    line-height: 1.2;
    text-align: left;
}

/* Botón de cerrar el menú */
.close-btn {
    position: absolute;
    top: 1.5px;
    right: 4px;
    background: none;
    color: white;
    font-size: 1.2rem;
    font-weight: bold;
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: color 0.3s ease;
}

#aulas-regional-access_line-height img{
    width: 20px;
}
#aulas-regional-access_line-height{
    line-height: 1;
}

